Difference between revisions of "Marble/PlasmaActiveEnvironment"

Jump to: navigation, search
(Qt and other System Libraries)
(Page moved to community wiki)
 
(9 intermediate revisions by 2 users not shown)
Line 1: Line 1:
Marble Touch supports both the Qt Components for Meego and the Plasma Components (for touch). This article describes how to setup and run <tt>marble-touch</tt> for Plasma Active (using plasma components in the touch platform variant).
+
{{ Moved To Community }}
 
 
=== Overview ===
 
We'll briefly cover the prerequisites needed -- an installation of Qt 4.7 or later, an installation of the plasma components from KDE 4.9 or later and the setup of environment variables -- and the compilation of Marble. At the time of writing KDE 4.9 was not released yet, so we'll perform a local installation of kdelibs and kde-runtime which in turns brings you the required version of plasma components.
 
 
 
=== Qt and other System Libraries ===
 
Make sure to have a development version of Qt 4.7 or later installed. Qt Declarative support must be there. Marble Touch also requires (at runtime) the following declarative extensions of Qt or Qt related packages that you may have to install separately: QtMobility systeminfo, QtWebKit, Qt labs folderlistmodel.
 
 
 
On a Debianish system, install the following packages:
 
 
 
<syntaxhighlight lang="bash">sudo aptitude install libqt4-dev libqtwebkit-qmlwebkitplugin libdeclarative-systeminfo libqt4-declarative-folderlistmodel</syntaxhighlight>
 
 
 
=== KDE Libraries and Runtime ===
 

Latest revision as of 04:52, 26 October 2016

This page is now on the community wiki.


This page was last edited on 26 October 2016, at 04:52. Content is available under Creative Commons License SA 4.0 unless otherwise noted.